package com.ssj.service.conch.parents.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author yangcan
 * 类描述:发起申请退款返回信息
 * 创建时间:2018年8月6日 下午2:54:21

 */
public class RecentDto implements Serializable {
	private static final long serialVersionUID = 1L;
	
	private String weekStudyTime = "0";//近7天学习时长
	private String studyReport;//近7天学习报告
	private String continueStudyDay;//连续学习天数
	private List<ReportDto> reportList;//学习科目,题目反馈信息
	private List<Map<String,Object>> weekdaysList;//最近7天学习时长轨迹图（map对象）

	/**
	 * 近七天作业正确率
	 */
	private List<HomeworkAccuracyRateDto> homeworkAccuracyRateList;

	public String getWeekStudyTime() {
		return weekStudyTime;
	}
	public void setWeekStudyTime(int weekStudyTime) {
		if (weekStudyTime % 60 == 0) {
			//如果是整数倍不取小数点
			this.weekStudyTime = weekStudyTime / 60 + "";
		} else if (weekStudyTime > 0){
			float f = weekStudyTime * 1f / 60;
			this.weekStudyTime = String.format("%.1f", f);
		}
	}
	public String getStudyReport() {
		return studyReport;
	}
	public void setStudyReport(int studyReport) {
		this.studyReport = studyReport + "";
	}
	public String getContinueStudyDay() {
		return continueStudyDay;
	}
	public void setContinueStudyDay(String continueStudyDay) {
		this.continueStudyDay = continueStudyDay;
	}
	public List<ReportDto> getReportList() {
		return reportList;
	}
	public void setReportList(List<ReportDto> reportList) {
		this.reportList = reportList;
	}
	public List<Map<String, Object>> getWeekdaysList() {
		return weekdaysList;
	}
	public void setWeekdaysList(List<Map<String, Object>> weekdaysList) {
		this.weekdaysList = weekdaysList;
	}

	public List<HomeworkAccuracyRateDto> getHomeworkAccuracyRateList() {
		return homeworkAccuracyRateList;
	}

	public void setHomeworkAccuracyRateList(List<HomeworkAccuracyRateDto> homeworkAccuracyRateList) {
		this.homeworkAccuracyRateList = homeworkAccuracyRateList;
	}

	public static void main(String[] args) {
	}
}
